Package org.jCharts.types

# Class Type

java.lang.Object
org.jCharts.types.Type

All Implemented Interfaces:
  `Serializable`

public abstract class Type extends Object implements Serializable
Provides a common base class for all types.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`typeCode`

## Constructor Summary

Constructors
Constructor
Description
`Type(int typeCode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getTypeCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeCode

private int typeCode

## Constructor Details

### Type

Type(int typeCode)

Parameters:
  `int` -

## Method Details

### getTypeCode

public int getTypeCode()

Returns:
  int